1

[alpine-aports] [PATCH] testing/ydcv: new aport

Ivan Tham
Details
Message ID
<20170304061432.16148-1-pickfire@riseup.net>
Sender timestamp
1488608072
DKIM signature
missing
Download raw message
Patch: +32 -0
https://github.com/felixonmars/ydcv
YouDao Console Version - Chinese online translate
---
 testing/ydcv/APKBUILD | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)
 create mode 100644 testing/ydcv/APKBUILD

diff --git a/testing/ydcv/APKBUILD b/testing/ydcv/APKBUILD
new file mode 100644
index 0000000..180f0ec
--- /dev/null
+++ b/testing/ydcv/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Ivan Tham <pickfire@riseup.net>
+# Maintainer: Ivan Tham <pickfire@riseup.net>
+pkgname=ydcv
+pkgver=0.4
+pkgrel=0
+pkgdesc="YouDao Console Version - Chinese online translate"
+url="https://github.com/felixonmars/ydcv"
+arch="noarch"
+license="GPL"
+depends="" # TODO: Either python2 or python3 is needed
+subpackages="$pkgname-zsh-completion:zshcomp"
+source="https://github.com/felixonmars/${pkgname}/archive/${pkgver}.tar.gz"
+builddir="$srcdir/"$pkgname-$pkgver
+
+package() {
+	mkdir -p "$pkgdir"/usr/bin/$pkgname
+	install -Dm755 "$builddir"/ydcv.py \
+		"$pkgdir"/usr/bin/$pkgname || return 1
+
+}
+
+zshcomp() {
+	pkgdesc="Zsh completions for $pkgname"
+	depends=""
+	install_if="$pkgname=$pkgver-r$pkgrel zsh"
+
+	mkdir -p "$subpkgdir"/usr/share/zsh/site-functions/
+	install -Dm644 "$builddir"/contrib/zsh_completion \
+		"$subpkgdir"/usr/share/zsh/site-functions/_$pkgname || return 1
+}
+
+sha512sums="96c19ab8496159c90ef634533cd2f4e0a3d8a85449ae988ef0cb4d4d73e106b6383ad8c4eef5bdd0e9c7ae07db3ba2cf20112c8fa34d9487786d0cd4744f9bf3  0.4.tar.gz"
-- 
2.11.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Leonardo Arena
Details
Message ID
<1489137960.11710.504.camel@gmail.com>
In-Reply-To
<20170304061432.16148-1-pickfire@riseup.net> (view parent)
Sender timestamp
1489137960
DKIM signature
missing
Download raw message
thank you for your contribution! It was committed with the following
fixes:

On sab, 2017-03-04 at 14:14 +0800, Ivan Tham wrote:
> https://github.com/felixonmars/ydcv
> YouDao Console Version - Chinese online translate
> ---
>  testing/ydcv/APKBUILD | 32 ++++++++++++++++++++++++++++++++
>  1 file changed, 32 insertions(+)
>  create mode 100644 testing/ydcv/APKBUILD
> 
> diff --git a/testing/ydcv/APKBUILD b/testing/ydcv/APKBUILD
> new file mode 100644
> index 0000000..180f0ec
> --- /dev/null
> +++ b/testing/ydcv/APKBUILD
> @@ -0,0 +1,32 @@
> +# Contributor: Ivan Tham <pickfire@riseup.net>
> +# Maintainer: Ivan Tham <pickfire@riseup.net>
> +pkgname=ydcv
> +pkgver=0.4
> +pkgrel=0
> +pkgdesc="YouDao Console Version - Chinese online translate"
> +url="https://github.com/felixonmars/ydcv"
> +arch="noarch"
> +license="GPL"
> +depends="" # TODO: Either python2 or python3 is needed
> +subpackages="$pkgname-zsh-completion:zshcomp"
> +source="https://github.com/felixonmars/${pkgname}/archive/${pkgver}.
> tar.gz"

source="$pkgname-$pkgver.tar.gz::https://github.com/felixonmars/${pkgna
me}/archive/${pkgver}.tar.gz"

This saves the source file with a file name containing also the
$pkgname in order to avoid file name conflicts.

And I added:

options="!check"

Thanks

|_eo